---
title: Restore a Component Version
description: Restores a component to a saved version
url: https://storyblok.com/docs/api/management/components/restore-a-component-version
---

# Restore a Component Version

PUT

```html
https://mapi.storyblok.com/v1/spaces/:space_id/versions/:version_id
```

Restores a component to a previously saved version.

## Path parameters

-   `:space_id` (required) (number)
    
    Numeric ID of a space
    
-   `:version_id` (number)
    
    Numeric ID of a component version
    

## Request body properties

-   `model` (string)
    
    Model name: **components**
    
-   `model_id` (number)
    
    Numeric ID of a component
    

## Examples

-   cURL
    
    ```shellscript
    curl "https://mapi.storyblok.com/v1/spaces/288868932106293/versions/279820276" \
      -X PUT \
      -H "Authorization: YOUR_OAUTH_TOKEN" \
      -H "Content-Type: application/json" \
      -d "{\"model\":\"components\",\"model_id\":6826721}"
    ```
    
-   JS
    
    ```javascript
    // storyblok-js-client@>=7, node@>=18
    import Storyblok from "storyblok-js-client";
    
    const storyblok = new Storyblok({
      oauthToken: "YOUR_PERSONAL_ACCESS_TOKEN",
    });
    
    try {
      const response = await storyblok.put('spaces/288868932106293/versions/279820276', {
        "model": "components",
        "model_id": 6826721
      })
      console.log({ response })
    } catch (error) {
      console.log(error)
    }
    ```
    
-   PHP
    
    ```php
    $client = new \Storyblok\ManagementClient('YOUR_OAUTH_TOKEN');
    
    $payload = ["model" => "components","model_id" => 6826721];
    
    $client->put('spaces/288868932106293/versions/279820276', $payload)->getBody();
    ```
    
-   Java
    
    ```java
    HttpResponse<String> response = Unirest.put("https://mapi.storyblok.com/v1/spaces/288868932106293/versions/279820276")
      .header("Content-Type", "application/json")
      .header("Authorization", "YOUR_OAUTH_TOKEN")
      .body({"model":"components","model_id":6826721})
      .asString();
    ```
    
-   C#
    
    ```csharp
    var client = new RestClient("https://mapi.storyblok.com/v1/spaces/288868932106293/versions/279820276");
    var request = new RestRequest(Method.PUT);
    
    request.AddHeader("Content-Type", "application/json");
    request.AddHeader("Authorization", "YOUR_OAUTH_TOKEN");
    request.AddParameter("application/json", "{\"model\":\"components\",\"model_id\":6826721}", ParameterType.RequestBody);
    IRestResponse response = client.Execute(request);
    ```
    
-   Python
    
    ```python
    import requests
    
    url = "https://mapi.storyblok.com/v1/spaces/288868932106293/versions/279820276"
    
    querystring = {}
    
    payload = {"model":"components","model_id":6826721}
    headers = {
      'Content-Type': "application/json",
      'Authorization': "YOUR_OAUTH_TOKEN"
    }
    
    response = requests.request("PUT", url, data=payload, headers=headers, params=querystring)
    
    print(response.text)
    ```
    
-   Ruby
    
    ```ruby
    require 'storyblok'
    client = Storyblok::Client.new(oauth_token: 'YOUR_OAUTH_TOKEN')
    
    payload = {"model" => "components","model_id" => 6826721}
    
    client.put('spaces/288868932106293/versions/279820276', payload)
    ```
    
-   Swift
    
    ```swift
    let storyblok = URLSession(storyblok: .mapi(accessToken: .oauth("YOUR_OAUTH_TOKEN")))
    var request = URLRequest(storyblok: storyblok, path: "spaces/288868932106293/versions/279820276")
    request.httpMethod = "PUT"
    request.httpBody = try JSONSerialization.data(withJSONObject: [
        "model": "components",
        "model_id": 6826721,
    ])
    let (data, _) = try await storyblok.data(for: request)
    print(try JSONSerialization.jsonObject(with: data))
    ```
    
-   Kotlin
    
    ```kotlin
    val client = HttpClient {
        install(Storyblok(MAPI)) {
            accessToken = OAuth("YOUR_OAUTH_TOKEN")
        }
    }
    
    val response = client.put("spaces/288868932106293/versions/279820276") {
        setBody(buildJsonObject {
            put("model", "components")
            put("model_id", 6826721)
        })
    }
    
    println(response.body<JsonElement>())
    ```

## Pagination

-   [Previous: Possible Field Types](/docs/api/management/components/possible-field-types)
-   [Next: Retrieve a Single Component](/docs/api/management/components/retrieve-a-single-component)
